package com.sdut.labex.utils;

import java.util.HashMap;
import java.util.Map;

/**
 * File: ResultVo
 * Created: 2023/6/12
 * Author: springforest
 * Description:
 */


public class ResVo extends HashMap<String, Object> {
    private static final long serialVersionUID = 1L;

    public ResVo() {
        put("code", 200);
    }

    public static ResVo error() {
        return error(500, "未知异常，请联系管理员");
    }

    public static ResVo error(String msg) {
        return error(500, msg);
    }

    public static ResVo error(int code, String msg) {
        ResVo resVo = new ResVo();
        resVo.put("code", code);
        resVo.put("msg", msg);
        return resVo;
    }

    public static ResVo ok(String msg) {
        ResVo resVo = new ResVo();
        resVo.put("msg", msg);
        return resVo;
    }

    public static ResVo ok(Map<String, ?> map) {
        ResVo resVo = new ResVo();
        resVo.putAll(map);
        return resVo;
    }

    public static ResVo ok() {
        return new ResVo();
    }

    public ResVo put(String key, Object value) {
        super.put(key, value);
        return this;
    }
}

